# remirepo spec file for php-natxet-cssmin, from:
#
# Fedora spec file for php-natxet-cssmin
#
# License: MIT
# http://opensource.org/licenses/MIT
#
# Please preserve changelog entries
#
%global github_owner    natxet
%global github_name     CssMin
%global github_version  3.0.6
%global github_commit   d5d9f4c3e5cedb1ae96a95a21731f8790e38f1dd

%global packagist_owner natxet
%global packagist_name  cssmin

# phpcompatinfo
%global php_min_ver    5.1.2

Name:           php-%{packagist_owner}-%{packagist_name}
Version:        %{github_version}
Release:        5%{?github_date:.%{github_date}git%{shortcommit}}%{?dist}
Summary:        Configurable CSS parser and minifier

# License text is included in the sole code file
License:        MIT
URL:            https://github.com/%{github_owner}/%{github_name}
Source0:        %{url}/archive/%{github_commit}/%{github_name}-%{github_commit}.tar.gz

BuildArch:      noarch
BuildRequires:  php-cli >= %{php_min_ver}
BuildRequires:  php-pcre
BuildRequires:  php-spl
# Autoloader
BuildRequires:  php-fedora-autoloader-devel

Requires:       php(language) >= %{php_min_ver}
Requires:       php-pcre
Requires:       php-spl
# Autoloader
Requires:      php-composer(fedora/autoloader)

Provides:       php-composer(%{packagist_owner}/%{packagist_name}) = %{version}
# Legacy
Provides:       php-composer(%{packagist_owner}/CssMin) = %{version}


%description
CssMin is a css parser and minifier. It minifies css by removing
unneeded whitespace characters, comments, empty blocks and empty
declarations. In addition declaration values can get rewritten to
shorter notation if available. The minification is configurable.

Autoloader: %{_datadir}/php/%{packagist_owner}/CssMin/autoload.php


%prep
%setup -qn %{github_name}-%{github_commit}


%build
: Create autoloader
%{_bindir}/phpab --template fedora --output src/autoload.php src/

: Legacy symlink
ln -s . src/src


%install
mkdir -p %{buildroot}%{_datadir}/php/%{packagist_owner}
cp -pr src %{buildroot}%{_datadir}/php/%{packagist_owner}/CssMin


# https://docs.fedoraproject.org/en-US/packaging-guidelines/Directory_Replacement/#_working_around_it_with_scriptlets
%pretrans -p <lua>
path = "%{_datadir}/php/%{packagist_owner}/CssMin/src"
st = posix.stat(path)
if st and st.type == "directory" then
  status = os.rename(path, path .. ".rpmmoved")
  if not status then
    suffix = 0
    while not status do
      suffix = suffix + 1
      status = os.rename(path .. ".rpmmoved", path .. ".rpmmoved." .. suffix)
    end
    os.rename(path, path .. ".rpmmoved")
  end
end


%check
# Minimal test for our autoloader
php -r '
  require "%{buildroot}%{_datadir}/php/%{packagist_owner}/CssMin/autoload.php";
  exit(class_exists("CssMin") ? 0 : 1);
'


%files
%doc README composer.json
%dir %{_datadir}/php/%{packagist_owner}
     %{_datadir}/php/%{packagist_owner}/CssMin
# NOTE: %%attr is required for EPEL6 (dist-6E-epel)
%ghost %attr(644, root, root) %{_datadir}/php/%{packagist_owner}/CssMin/src.rpmmoved
%ghost %attr(644, root, root) %{_datadir}/php/%{packagist_owner}/CssMin/src.rpmmoved/CssMin.php


%changelog
* Sun Sep 06 2020 Shawn Iwinski <shawn@iwin.ski> - 3.0.6-5
- Fix composer provides (php-composer(natxet/cssmin); and still provide previous
  php-composer(natxet/CssMin))
- Fix install (remove "src" dir)
- Use Fedora Autoloader
- Fix directory ownership

* Tue Mar 26 2019 Remi Collet <remi@remirepo.net> - 3.0.6-1
- update to 3.0.6
- add minimal test for our autoloader

* Tue May  3 2016 Remi Collet <remi@fedoraproject.org> - 3.0.4-3
- rebuild

* Mon Apr 25 2016 James Hogarth <james.hogarth@gmail.com> - 3.0.4-1
- new release 3.0.4
- Add simple classmap autoloader

* Thu Oct 15 2015 Remi Collet <remi@fedoraproject.org> - 3.0.4-1
- update to 3.0.4

* Tue Jun 09 2015 Adam Williamson <awilliam@redhat.com> - 3.0.3-1
- new release 3.0.3

* Tue Feb 24 2015 Remi Collet <remi@fedoraproject.org> - 3.0.2-2.20141229git8883d28
- add backport stuff for remi repo

* Mon Feb 23 2015 Adam Williamson <awilliam@redhat.com> - 3.0.2-2.20141229git8883d28
- change layout to match upstream's (with the /src sub-directory)

* Mon Dec 29 2014 Adam Williamson <awilliam@redhat.com> - 3.0.2-1.20141229git8883d28
- initial package
